import { defineComponent as f, toRefs as u, openBlock as e, createElementBlock as i, Fragment as s, renderList as d, unref as h, createVNode as o } from "vue";
import n from "../../../NComponents/configCommon/refConfig.vue_vue_type_script_setup_true_lang.mjs";
import p from "./images/address.mjs";
import B from "./images/weather.mjs";
import C from "./images/AQI.mjs";
const A = { class: "weather" }, _ = f({ name: "EHeaderWeather" }), w = /* @__PURE__ */ f({
  ..._,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(g) {
    var r;
    const l = g;
    let m = {
      list: [
        {
          imageConfig: {
            imgSrc: p,
            width: 34,
            height: 34
          },
          titleConfig: {
            text: "\u6210\u90FD\u5E02",
            fontSize: 22,
            fontWeight: "bold",
            gradient: {
              from: "RGBA(206, 233, 246, 1)",
              to: "RGBA(246, 251, 253, 1)"
            }
          }
        },
        {
          imageConfig: {
            imgSrc: B,
            width: 39,
            height: 27
          },
          titleConfig: {
            text: "\u591A\u4E91\u8F6C\u6674",
            fontSize: 22,
            fontWeight: "bold",
            gradient: {
              from: "RGBA(206, 233, 246, 1)",
              to: "RGBA(246, 251, 253, 1)"
            }
          },
          titleConfig2: {
            text: "25\xB0",
            fontSize: 22,
            fontWeight: "bold",
            fontFamily: "Bureau Agency FB",
            gradient: {
              from: "RGBA(206, 233, 246, 1)",
              to: "RGBA(246, 251, 253, 1)"
            }
          }
        },
        {
          imageConfig: {
            imgSrc: C,
            width: 27,
            height: 27
          },
          titleConfig: {
            text: "AQI:66",
            fontSize: 27,
            fontWeight: "bold",
            fontFamily: "Bureau Agency FB",
            gradient: {
              from: "RGBA(206, 233, 246, 1)",
              to: "RGBA(246, 251, 253, 1)"
            }
          }
        }
      ]
    };
    const { list: c, titleStyle: y } = u(((r = l.chartConfig) == null ? void 0 : r.option) || m);
    return (x, R) => (e(), i("div", A, [
      (e(!0), i(s, null, d(h(c), (t, a) => (e(), i("div", { key: a }, [
        o(n, {
          config: t.imageConfig,
          type: "img",
          class: "img"
        }, null, 8, ["config"]),
        o(n, {
          config: t.titleConfig,
          type: "text"
        }, null, 8, ["config"]),
        o(n, {
          config: t.titleConfig2,
          type: "text",
          class: "title2"
        }, null, 8, ["config"])
      ]))), 128))
    ]));
  }
});
export {
  w as default
};
